Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dynamicbees
Class BeeEnvironment

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Watcher
              dynamicbees.BeeEnvironment

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public class BeeEnvironment

extends Watcher
implements ReferenceableAgent

Version:
  2.1
Author:
  Fabien MICHEL 01/02/2007
See Also:
  Serialized Form

Constructor Summary
`BeeEnvironment()`
`BeeEnvironment(int width, int height)`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`void` | `end()` the end method will remove all the probes which have been used by the scheduler.
`int` | `getBeeAcceleration()`
`int` | `getBeeVelocity()`
`int` | `getHeight()`
`int` | `getQueenAcceleration()`
`int` | `getQueenVelocity()`
`int` | `getWidth()`
`void` | `setBeeAcceleration(int add)`
`void` | `setBeeVelocity(int add)`
`void` | `setHeight(int add)`
`void` | `setQueenAcceleration(int add)`
`void` | `setQueenVelocity(int add)`
`void` | `setWidth(int add)`
`void` | `updateBees(Bee[] b)`
`void` | `updateQueenBees(QueenBee[] qb)`

Methods inherited from class madkit.kernel.Watcher
`addProbe, addProbe, getProbes, removeAllProbes, removeProbe, update`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeeEnvironment

    public BeeEnvironment()

### BeeEnvironment

    public BeeEnvironment(int width,
                          int height)

Method Detail

### setWidth

    public void setWidth(int add)

### getWidth

    public int getWidth()

### setHeight

    public void setHeight(int add)

### getHeight

    public int getHeight()

### setQueenAcceleration

    public void setQueenAcceleration(int add)

### getQueenAcceleration

    public int getQueenAcceleration()

### setQueenVelocity

    public void setQueenVelocity(int add)

### getQueenVelocity

    public int getQueenVelocity()

### setBeeAcceleration

    public void setBeeAcceleration(int add)

### getBeeAcceleration

    public int getBeeAcceleration()

### setBeeVelocity

    public void setBeeVelocity(int add)

### getBeeVelocity

    public int getBeeVelocity()

### updateQueenBees

    public void updateQueenBees(QueenBee[] qb)

### updateBees

    public void updateBees(Bee[] b)

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Here is a typical example (taken from the `PingPong` agent of MadKit (plugin demos)) :

  >     public void activate()
  >     {
  >             try {
  >                     createGroup(true,"ping-pong",null,null);
  >                     println ("No ping-pong group : I created one");
  >                     creator=true;
  >             } catch (OrganizationRequestException e) { // the group already exists
  >                     creator=false;
  >                     println ("A ping-pong group already exists : I will join");
  >             }
  >             requestRole("ping-pong","player",null);
  >     }

  Overrides:
    `activate` in class `AbstractAgent`

### end

    public void end()

  Description copied from class: `Watcher`
  the end method will remove all the probes which have been used by the scheduler. Overriding this method, one should use `super.end()` first in order to ease the removal of simulated agents which will be killed. Doing so can greatly improved the "killing time" of simulation engines

  Overrides:
    `end` in class `Watcher`
  See Also:
    `AbstractAgent.end()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.